Package: groovy.util

## [Java] Class NodePrinter

- groovy.util.NodePrinter

- A helper class for creating nested trees of data

  Authors:
    James Strachan
    Christian Stein

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected IndentPrinter` | `out` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NodePrinter ()`
    `NodePrinter (PrintWriter out)`
    `NodePrinter (IndentPrinter out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `print(Node node)`
    `` | `protected void` | `printAttributes(Map attributes)`
    `` | `protected void` | `printList(List list)`
    `` | `protected void` | `printName(Node node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final IndentPrinter out

  - ### Constructor Detail

    - #### public NodePrinter()

    - #### public NodePrinter(PrintWriter out)

    - #### public NodePrinter(IndentPrinter out)

  - ### Method Detail

    - #### public void print(Node node)

    - #### protected void printAttributes(Map attributes)

    - #### protected void printList(List list)

    - #### protected void printName(Node node)